> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/espanol/check-status.md).

# Consultar check

<mark style="color:blue;">`GET`</mark> `https://api.zapsign.com.br/api/v1/checks/{{check_id}}/`

#### Path parameters

<table><thead><tr><th width="174">Nombre</th><th width="124">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td>check_id</td><td>string</td><td>Identificador de la consulta</td></tr></tbody></table>

#### Header

<table><thead><tr><th width="175">Nombre</th><th width="103">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>string</td><td>API token prefijo con la palabra "Bearer". Ex: Bearer c7f35c84-7893-4087-b4fb-d1f06c23</td></tr></tbody></table>

#### Estados del check (status)

* `not_started:` El check se encuentra en cola y la recolección de datos no ha empezado aún.
* `in_progress`: La información se ha recolectado pero algunas fuentes de datos no se han finalizado aún.
* `delayed`: Una o más fuentes de datos están tomando más tiempo de lo esperado en recolectar la información. La mayor parte de fuentes de datos ya finalizaron.
* `error`: El check finalizó y más del 30% de las fuentes de datos culminaron la consulta en estado error.
* `completed`: El 70% o más de las fuentes de datos ya finalizaron o la mayoría de las fuentes de datos no culminaron en estado error.

#### Response

{% tabs %}
{% tab title="200 Detalle de la consulta" %}

```json
{
    "check_id": "CHK41dd253a3e9c018f3d4ee062ac98b091",
    "status": "completed",
    "company_name": "",
    "full_name": "MARIA",
    "last_name": "PEREZ",
    "date_of_birth": null,
    "issue_date": null,
    "national_id": "11111111",
    "passport": "",
    "native_national_id": "",
    "pep": "",
    "ptp": "",
    "foreign_id": "",
    "tax_id": "",
    "country": "CO",
    "native_country": "",
    "check_type": "person",
    "lang": "en",
    "region": "",
    "pdf_report": {
        "status": "completed",
        "url": "https://zapsign.s3.amazonaws.com/2025/4/truora/92001eac-2d94-4115-95d9-ef205693a7d0.pdf?AWSAccessKeyId=AKIASSSZJ7JCTI2ZRGWX&Signature=VddqJfz0B64a9VcWeeewDp8Gca4%3D&Expires=1743787456"
    },
    "created_at": "2025-04-02T20:09:47.017891Z",
    "last_update_at": "2025-04-02T20:24:15.872207Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/espanol/check-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
